clear
insheet using "crime.csv", comma
drop if year < 1966 
drop if year > 2013
xtset id year
gen      lmur = ln(murder)
gen     dlmur = lmur - L.lmur
egen sd_dlmur = sd(dlmur), by(id)
gen   dlmur_s = dlmur / sd_dlmur
 
keep dlmur_s id year
reshape wide dlmur_s, i(id) j(year)
order _all, alphabetic
BN dlmur_s1967-dlmur_s2013, kmax(8)

