clear
insheet using "pce.csv", comma
xtset id year
gen      p = pce
gen     dp = (p - L.p) / L.p
egen sd_dp = sd(dp), by(id)
gen   dps = dp / sd_dp

gen     dp2 = dp - L.dp
egen sd_dp2 = sd(dp2), by(id)
gen   dp2s = dp2 / sd_dp2
 
keep dps dp2s id year
reshape wide dps dp2s, i(id) j(year)
order _all, alphabetic
BN dp2s1980-dp2s2016, kmax(8)
pc dps1979-dps2016, k(1)

matrix f = r(f)
matrix v = r(v)
matrix l = r(l)
matrix e = r(e)
 svmat e
  forvalue i=1/38 {
   local j = 1978+`i'
   rename e`i' e`j'
 }
