clear
insheet using "crime.csv", comma
//drop if yearfull < 1972 
//drop if yearfull > 2013
gen lvio = ln(violent)
gen lmur = ln(murder)
gen lrob = ln(robbery)
gen lrap = ln(rape)
gen lass = ln(assault)
gen lpro = ln(property)
gen lbur = ln(burglary)
gen llar = ln(larceny)
gen lmot = ln(motorv)
egen mlvio = mean(lvio), by(year)

xtset id year
keep lmur id year
reshape wide lmur, i(year) j(id)
forvalue i=1/50{
reg lmur`i' year
}
