clear
insheet using "crime.csv", comma
xtset id year
gen      lmur = ln(murder)
gen     dlmur = lmur - L.lmur
egen sd_dlmur = sd(dlmur), by(id)
gen   dlmur_s = dlmur / sd_dlmur
 
keep dlmur_s id year
reshape wide dlmur_s, i(id) j(year)
order _all, alphabetic
BN dlmur_s1966-dlmur_s2014, kmax(8)

// drop if yearfull < 1972 
// drop if yearfull > 2013
//gen   lvio = ln(violent)
//gen lmur = ln(murder)
//gen lrob = ln(robbery)
//gen lrap = ln(rape)
//gen lass = ln(assault)
//gen lpro = ln(property)
//gen lbur = ln(burglary)
//gen llar = ln(larceny)
//gen lmot = ln(motorv)
