clear
insheet using pce1.csv, comma
xtset id year
gen      p = pce
gen     dp = (p - L.p) / L.p
egen sd_dp = sd(dp), by(id)
gen   dps = dp / sd_dp
gen     dp2 = dp - L.dp
egen sd_dp2 = sd(dp2), by(id)
gen   dp2s = dp2 / sd_dp2
drop if year < 1980

//leadership model
keep dp2s id year
reshape wide dp2s, i(year) j(id)

forvalue i=1/46 {
  qui reg dp2s`i' dp2s46
  qui predict resid`i'
 }
BNT resid1-resid46, kmax(8)  

