clear
insheet using "crime.csv", comma
//drop if yearfull < 1972 
//drop if yearfull > 2013
gen lvio = ln(violent)
gen lmur = ln(murder)
gen lrob = ln(robbery)
gen lrap = ln(rape)
gen lass = ln(assault)
gen lpro = ln(property)
gen lbur = ln(burglary)
gen llar = ln(larceny)
gen lmot = ln(motorv)
egen mlvio = mean(lvio), by(year)

xtset id year
keep lmur id year
reshape wide lmur, i(id) j(year)
order _all, alphabetic
weaks lmur1965-lmur2014, lag(3)
weaks lmur1965-lmur2014, lag(4)
pcweaks lmur1965-lmur2014, k(2)
matrix z = r(z)
svmat z 
weaks z1-z50, lag(3)
  


